Generates a .csv file that contains information regarding SMS message delivery for a specific MessageList. The resulting report is stored in the account's Enhanced FTP site.
URL Parameters
| Name | Type | Description |
|---|---|---|
tokenid |
string | Required. The ID provided in the MessageList REST response |
JSON Parameters
| Name | Type | Description |
|---|---|---|
fileName |
string | Required. The name of the report file in your FTP/reports folder |
Usage
Sent a POST request to the /sms/v1/automation/importSend/{tokenid}/deliveryReport/ endpoint.
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /sms/v1/automation/importSend/TOKEN_ID/deliveryReport/
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
{
"filename": "DeliveryReportFileName"
}